Redmine - Patch #31573

Show each journal entry from issue history in a box
2019-06-16 16:35 - Marius BALTEANU
Description

IMHO, the issue history doesn't have a clear structure, you need to look after each Gravatar or "Updated by" line to see where the
journal starts/ends. In top, there is a border applied on the entire block (left, right and bottom) in order to prevent accidental deletion
of an issue (#26662), but for me, even if fixes the confusion with delete buttons, it makes the journal entries harder to be
distinguished.

I would like to propose the following design changes for the issue history:

1. Show each journal entry in a box (like projects)

2. Connect each journal entry with a small line

3. Apply the red border for the private journals on the entire journal, not only on the text.

I'm attaching the patches and the screenshots with before and after.

Current:
issue_history.png

After
new_issue_history.png

If you like the changes, | think it will be nice to deliver them in 4.1.0, together with the other Ul changes.

Related issues:
Related to Redmine - Patch #36429: Make issue tabs DOM more consistent Closed

History

#1 - 2019-06-16 16:39 - Marius BALTEANU
- File deleted (0001-Wrap-each-journal-in-a-box.patch)

#2 - 2019-06-16 16:48 - Marius BALTEANU
- File deleted (0002-Connect-journal-boxes.patch)

#3 - 2019-06-16 16:48 - Marius BALTEANU
- File deleted (0003-Show-red-border-on-journal-entry.patch)

#4 - 2019-06-16 16:48 - Marius BALTEANU

| broke something with my initial patches, I'll upload them again.

#5 - 2019-06-16 16:58 - Marius BALTEANU

- File 0001-Wrap-each-journal-in-a-box.patch added

- File 0002-Connect-journal-boxes.patch added

- File 0003-Show-red-border-on-journal-entry.patch added

#6 - 2019-06-20 11:13 - Marius BALTEANU
- Assignee set to Marius BALTEANU

| need to update these patches now that #3058 was committed .
https://www.redmine.org/issues/26662
https://www.redmine.org/versions/127
https://www.redmine.org/issues/3058

#7 - 2019-06-21 00:03 - Marius BALTEANU
- File deleted (0001-Wrap-each-journal-in-a-box.patch)

#8 - 2019-06-21 00:03 - Marius BALTEANU
- File deleted (0002-Connect-journal-boxes.patch)

#9 - 2019-06-21 00:03 - Marius BALTEANU
- File deleted (0003-Show-red-border-on-journal-entry.patch)

#10 - 2019-06-21 00:05 - Marius BALTEANU

- File 0001-Wrap-each-entry-in-a-box.patch added

- File 0002-Connect-journal-boxes.patch added

- File 0003-Show-red-border-on-journal-entry.patch added
- File Screenshot 2019-06-21 at 01.04.07.png added

- File Screenshot 2019-06-21 at 01.04.22.png added

- File Screenshot 2019-06-21 at 01.04.15.png added

Updated the patch series. Screenshots attached.

#11 - 2019-06-25 16:39 - Dmitry Makurin

| would keep journal h4 bottom border since it clearly separates h4' text/contextual with notes content.

#12 - 2022-01-17 16:58 - Marius BALTEANU
- Related to Patch #36429: Make issue tabs DOM more consistent added

Files

new_issue_history.png 371 KB 2019-06-16 Marius BALTEANU
issue_history.png 351 KB 2019-06-16 Marius BALTEANU
0001-Wrap-each-entry-in-a-box.patch 6.93 KB 2019-06-20 Marius BALTEANU
0003-Show-red-border-on-journal-entry.patch 1.16 KB 2019-06-20 Marius BALTEANU
0002-Connect-journal-boxes.patch 9.8 KB 2019-06-20 Marius BALTEANU
Screenshot 2019-06-21 at 01.04.22.png 134 KB 2019-06-20 Marius BALTEANU
Screenshot 2019-06-21 at 01.04.07.png 227 KB 2019-06-20 Marius BALTEANU
Screenshot 2019-06-21 at 01.04.15.png 131 KB 2019-06-20 Marius BALTEANU
